/*Lägger till en fin kant och lite padding*/

.border {
    border: 1px solid black;
    padding: 20px;
    margin-bottom: 20px;
}

/*behövs för sidomenyn*/
#maingrid {
    display: grid;
    min-height: 100dvh;
    max-width: 100%;
    grid-template-columns: 0px 1fr;
    grid-auto-rows: 1fr;

}

#check {
    color: rgba(240, 248, 255, 0);
}

/*sätter storlek och plats för ikonen uppe till vänster, musen byter utseende när man hovrar*/
#navimg {
    position: fixed;
    top: 10px;
    left: 10px;
    width: 50px;
    height: 50px;
    cursor: pointer;
}


/*sätter bilden bakom navikonen*/
#navicon {
    position: fixed;
    top: 0px;
    left: 0px;
}

/*gör att rektangen i navmenyn initialt är gömd*/
#square {
    visibility: hidden;
}

/*tar bort checkboxen*/
input.hidden[type="checkbox"] {
    appearance: none;
    background-color: #fff;
    margin: 0;
}

/*huvudbaren bakom navmenyn*/
nav {
    background-color: cornflowerblue;
    width: 0px;
    font-size: 0px;
}

/*placerar listan med länkar*/
ul.navlink {
    position: fixed;
    left: 0px;
    top: 150px;
}

/*Standardregler för valniga listor*/
li.navlink {
    background-color: rgb(133, 171, 242);
    border: solid black;
    margin-top: 10px;
    border-width: 0px;
    padding-left: 0;
}

/*utseende för länkar i menyn*/
a.navlink {
    padding-left: 10px;
    color: black;
}

/*ändrar färg på den länk som hör till sidan man är på*/
.current {
    background-color: rgb(2, 54, 128) !important;
}

/*ändrar färg på länkarna när man hovrar dem*/
li.navlink:hover {
    background-color: grey;
}



/*Standardplacering för sidorna*/
#mainpage {
    display: flex;
    flex-direction: column;
    margin: 10px;
    min-height: 100vh;
}

/*Rutan högst upp*/
header {
    background: radial-gradient(circle, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 50%, rgba(237, 221, 83, 1) 100%);
    border-radius: 20px;
    padding: 40px;
    text-align: center;
}

/*Rubrik 1*/
h1 {
    font-size: 10em;
    max-width: 100dvw;
}

/*Rubrik 2*/
h2 {
    padding: 10px;
    font-size: 3em;
}

/*regler för boldad text*/
b {
    font-size: calc(1em * 1.1);
    font-weight: 900;
    color: black;
}

/*Text som jag ville skulle vara grå*/
#grey {
    color: rgb(46, 46, 46);
}

/*ett flexbeteende för innehåll*/
.flexing {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

/*ett flexbeteende för innehåll som centrerar*/
.flexingcenter {
    display: flex;
    justify-content: center;
    height: 500px;

}

/*ett flexbeteende för innehåll med plats runt*/
.spacing {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

/* begränsar bredd på formuläret (vet inte varför den heter height)*/
.height {
    width: 75%;
}

/*centrerar inehållet på formuläret*/
fieldset {
    display: flex;
    justify-content: center;
}

/*centrerar texten på formuläter*/
legend {
    width: auto;
    margin-left: auto;
    margin-right: auto;
}

/*storleken till youtubevideon, håller 16:9 aspekt-ration*/
#youtube {
    width: 96dvw;
    height: 54dvw;

}

/*rutan på hem till vänster*/
#mittv {
    width: 65%;
    height: 550px;
}

/*rutan på hem till höger*/
#mitth {
    width: 28%;
    height: 400px;
    margin-bottom: 0px;
}

/*bakgrunden till rutorna längst upp och ner*/
circle {
    background: radial-gradient(circle, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 50%, rgba(237, 221, 83, 1) 100%);

}

/*Rutan längst ner*/
footer {
    margin-top: auto;
    background-color: rgb(2, 54, 128);
    border-radius: 20px;
    background: radial-gradient(circle, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 50%, rgba(237, 221, 83, 1) 100%);

}

/*ett grid med plats mellan för läsbarhet*/
.textgrid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30%, 1fr));
    grid-template-rows: 250px;
    grid-gap: 10px;
}

/**/
.maxwidth {
    width: calc(min(30dvw, 277px));
}

/**/
/*ett grid för bilderna i galleriet*/
.imagegrid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(225px, 1fr));
    grid-template-rows: 250px;
}

/*bilderna i galleriet*/
.gallery {
    object-fit: contain;
    height: 200px;
    width: 225px;

}

/*standard för ordnade listor*/
ol {
    margin-left: 15px;
    list-style: lower-greek;
}

/*standard för listdelar*/
li {

    padding-left: 15px;
}

/*Ändrar utseende när skärmen blir mindre, mindre fonts, innehållet ordnas på höjden och får sin höjd begränsad*/
@media only screen and (max-width:768px) {
    h1 {
        font-size: 2em;
    }

    .flexing {
        flex-direction: column;
        justify-content: space-around !important;
    }

    #mitth {
        width: calc(100% - 40px);
        height: fit-content;
    }

    #mittv {
        width: calc(100% - 40px);
        height: fit-content;

    }

    .height {
        width: calc(100% - 40px);
    }


}